blfwk::Bootloader Class Reference

Represents the host bootloader. More...

`#include <Bootloader.h>`

Inheritance diagram for blfwk::Bootloader:
[legend]
Collaboration diagram for blfwk::Bootloader:
[legend]

## Public Member Functions

| Bootloader ()
| Default Constructor for Simulator.
| Bootloader (const Peripheral::PeripheralConfigData &config)
| Constructor.
virtual | ~Bootloader ()
| Destructor.
void | inject (Command &cmd)
| Inject a command into the bootloader. More...
void | flush ()
| Flush state.
void | execute (uint32_t entry_point, uint32_t param=0, uint32_t stack_pointer=0)
| Execute the execute command.
void | reset ()
| Execute the reset command.
standard_version_t | getVersion ()
| Execute the get-property(current-version) command.
uint32_t | getSecurityState ()
| Execute the get-property(flash-security-state) command.
void | ping (int retries, unsigned int delay, int comSpeed)
| Send a ping if applicable.
Accessors.
Packetizer * | getPacketizer () const
| Get the host packetizer.

## Protected Attributes

Packetizer * | m_hostPacketizer
| Packet interface to send commands on.
FileLogger * | m_logger
| Singleton logger instance.

## Detailed Description

Represents the host bootloader.

This class provides a convenient way to access other bootloader framework objects.

## Member Function Documentation

void blfwk::Bootloader::inject | ( | Command & | cmd | ) |

inline

Inject a command into the bootloader.

Parameters

  cmd | The command to send

The documentation for this class was generated from the following files:

- src/blfwk/Bootloader.h
- src/blfwk/src/Bootloader.cpp